Bug 1314535 - oo-admin-repair-node,oo-admin-ctl-iptables-port-proxy and oo-admin-ctl-tc has no man page
oo-admin-repair-node,oo-admin-ctl-iptables-port-proxy and oo-admin-ctl-tc ha...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rory Thrasher
Wei Sun
:
Depends On: 1031796
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 15:58 EST by Rory Thrasher
Modified: 2016-03-22 12:55 EDT (History)
10 users (show)

See Also:
Fixed In Version: rubygem-openshift-origin-node-1.38.5.3-1.el6op
Doc Type: Bug Fix
Doc Text:
New man pages were created and setup was added to the rubygem-openshift-origin-node.spec file to include them using the _mandir variable, which will not properly add the man pages to the $MANPATH unless SCL is enabled - resulting in the man pages being unavailable. The variables were changed to _root_mandir, which will result in the man pages properly being added to the $MANPATH and will be available without enabling SCL.
Story Points: ---
Clone Of: 1031796
Environment:
Last Closed: 2016-03-22 12:55:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Rory Thrasher 2016-03-03 17:41:43 EST
QE,

We've made an update to include the man files - can we verify that the man pages from the original bug are all present in the latest puddle?  Thank you.

man oo-admin-ctl-iptables-port-proxy
man oo-admin-ctl-tc 
man oo-admin-repair-node
man oo-admin-regenerate-gear-metadata

Puddle: http://etherpad.corp.redhat.com/puddle-2-2-2016-02-19
Comment 4 Johnny Liu 2016-03-03 22:40:04 EST
Verified this bug with 2.2/2016-03-03.1, and PASS.

All the man pages are existing now.
Comment 6 errata-xmlrpc 2016-03-22 12:55:30 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0489.html

Note You need to log in before you can comment on or make changes to this bug.